Package org.eclipse.viatra.query.patternlanguage.emf.vql.util

## Class PatternLanguageSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.viatra.query.patternlanguage.emf.vql.util.PatternLanguageSwitch<T>

- Direct Known Subclasses:
    `ASTStringProvider`

      public class PatternLanguageSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `PatternLanguagePackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static PatternLanguagePackage` | `modelPackage` | The cached model package

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatternLanguageSwitch()` | Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `caseAggregatedValue​(AggregatedValue object)` | Returns the result of interpreting the object as an instance of 'Aggregated Value'.
    `T` | `caseAnnotation​(Annotation object)` | Returns the result of interpreting the object as an instance of 'Annotation'.
    `T` | `caseAnnotationParameter​(AnnotationParameter object)` | Returns the result of interpreting the object as an instance of 'Annotation Parameter'.
    `T` | `caseBoolValue​(BoolValue object)` | Returns the result of interpreting the object as an instance of 'Bool Value'.
    `T` | `caseCallableRelation​(CallableRelation object)` | Returns the result of interpreting the object as an instance of 'Callable Relation'.
    `T` | `caseCheckConstraint​(CheckConstraint object)` | Returns the result of interpreting the object as an instance of 'Check Constraint'.
    `T` | `caseClassType​(ClassType object)` | Returns the result of interpreting the object as an instance of 'Class Type'.
    `T` | `caseCompareConstraint​(CompareConstraint object)` | Returns the result of interpreting the object as an instance of 'Compare Constraint'.
    `T` | `caseComputationValue​(ComputationValue object)` | Returns the result of interpreting the object as an instance of 'Computation Value'.
    `T` | `caseConstraint​(Constraint object)` | Returns the result of interpreting the object as an instance of 'Constraint'.
    `T` | `caseEClassifierConstraint​(EClassifierConstraint object)` | Returns the result of interpreting the object as an instance of 'EClassifier Constraint'.
    `T` | `caseEntityType​(EntityType object)` | Returns the result of interpreting the object as an instance of 'Entity Type'.
    `T` | `caseEnumValue​(EnumValue object)` | Returns the result of interpreting the object as an instance of 'Enum Value'.
    `T` | `caseExpression​(Expression object)` | Returns the result of interpreting the object as an instance of 'Expression'.
    `T` | `caseFunctionEvaluationValue​(FunctionEvaluationValue object)` | Returns the result of interpreting the object as an instance of 'Function Evaluation Value'.
    `T` | `caseJavaConstantValue​(JavaConstantValue object)` | Returns the result of interpreting the object as an instance of 'Java Constant Value'.
    `T` | `caseJavaType​(JavaType object)` | Returns the result of interpreting the object as an instance of 'Java Type'.
    `T` | `caseListValue​(ListValue object)` | Returns the result of interpreting the object as an instance of 'List Value'.
    `T` | `caseLiteralValueReference​(LiteralValueReference object)` | Returns the result of interpreting the object as an instance of 'Literal Value Reference'.
    `T` | `caseLocalVariable​(LocalVariable object)` | Returns the result of interpreting the object as an instance of 'Local Variable'.
    `T` | `caseModifiers​(Modifiers object)` | Returns the result of interpreting the object as an instance of 'Modifiers'.
    `T` | `caseNumberValue​(NumberValue object)` | Returns the result of interpreting the object as an instance of 'Number Value'.
    `T` | `casePackageImport​(PackageImport object)` | Returns the result of interpreting the object as an instance of 'Package Import'.
    `T` | `caseParameter​(Parameter object)` | Returns the result of interpreting the object as an instance of 'Parameter'.
    `T` | `caseParameterRef​(ParameterRef object)` | Returns the result of interpreting the object as an instance of 'Parameter Ref'.
    `T` | `casePathExpressionConstraint​(PathExpressionConstraint object)` | Returns the result of interpreting the object as an instance of 'Path Expression Constraint'.
    `T` | `casePattern​(Pattern object)` | Returns the result of interpreting the object as an instance of 'Pattern'.
    `T` | `casePatternBody​(PatternBody object)` | Returns the result of interpreting the object as an instance of 'Pattern Body'.
    `T` | `casePatternCall​(PatternCall object)` | Returns the result of interpreting the object as an instance of 'Pattern Call'.
    `T` | `casePatternCompositionConstraint​(PatternCompositionConstraint object)` | Returns the result of interpreting the object as an instance of 'Pattern Composition Constraint'.
    `T` | `casePatternImport​(PatternImport object)` | Returns the result of interpreting the object as an instance of 'Pattern Import'.
    `T` | `casePatternModel​(PatternModel object)` | Returns the result of interpreting the object as an instance of 'Pattern Model'.
    `T` | `caseReferenceType​(ReferenceType object)` | Returns the result of interpreting the object as an instance of 'Reference Type'.
    `T` | `caseRelationType​(RelationType object)` | Returns the result of interpreting the object as an instance of 'Relation Type'.
    `T` | `caseStringValue​(StringValue object)` | Returns the result of interpreting the object as an instance of 'String Value'.
    `T` | `caseType​(Type object)` | Returns the result of interpreting the object as an instance of 'Type'.
    `T` | `caseTypeCheckConstraint​(TypeCheckConstraint object)` | Returns the result of interpreting the object as an instance of 'Type Check Constraint'.
    `T` | `caseUnaryTypeConstraint​(UnaryTypeConstraint object)` | Returns the result of interpreting the object as an instance of 'Unary Type Constraint'.
    `T` | `caseValueReference​(ValueReference object)` | Returns the result of interpreting the object as an instance of 'Value Reference'.
    `T` | `caseVariable​(Variable object)` | Returns the result of interpreting the object as an instance of 'Variable'.
    `T` | `caseVariableReference​(VariableReference object)` | Returns the result of interpreting the object as an instance of 'Variable Reference'.
    `T` | `caseVQLImportSection​(VQLImportSection object)` | Returns the result of interpreting the object as an instance of 'VQL Import Section'.
    `T` | `caseXImportSection​(org.eclipse.xtext.xtype.XImportSection object)` | Returns the result of interpreting the object as an instance of 'XImport Section'.
    `T` | `defaultCase​(org.eclipse.emf.ecore.EObject object)` | Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch​(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` | Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)` | Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static PatternLanguagePackage modelPackage

      The cached model package
      Generated:

  - ### Constructor Detail

    - #### PatternLanguageSwitch

          public PatternLanguageSwitch()

      Creates an instance of the switch.
      Generated:

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.
      Generated:

    - #### doSwitch

          protected T doSwitch​(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated:

    - #### caseVQLImportSection

          public T caseVQLImportSection​(VQLImportSection object)

      Returns the result of interpreting the object as an instance of 'VQL Import Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'VQL Import Section'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePackageImport

          public T casePackageImport​(PackageImport object)

      Returns the result of interpreting the object as an instance of 'Package Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Package Import'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePatternImport

          public T casePatternImport​(PatternImport object)

      Returns the result of interpreting the object as an instance of 'Pattern Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Import'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEClassifierConstraint

          public T caseEClassifierConstraint​(EClassifierConstraint object)

      Returns the result of interpreting the object as an instance of 'EClassifier Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EClassifier Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEnumValue

          public T caseEnumValue​(EnumValue object)

      Returns the result of interpreting the object as an instance of 'Enum Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Enum Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePatternModel

          public T casePatternModel​(PatternModel object)

      Returns the result of interpreting the object as an instance of 'Pattern Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Model'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseClassType

          public T caseClassType​(ClassType object)

      Returns the result of interpreting the object as an instance of 'Class Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Class Type'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseReferenceType

          public T caseReferenceType​(ReferenceType object)

      Returns the result of interpreting the object as an instance of 'Reference Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Reference Type'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePattern

          public T casePattern​(Pattern object)

      Returns the result of interpreting the object as an instance of 'Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAnnotation

          public T caseAnnotation​(Annotation object)

      Returns the result of interpreting the object as an instance of 'Annotation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAnnotationParameter

          public T caseAnnotationParameter​(AnnotationParameter object)

      Returns the result of interpreting the object as an instance of 'Annotation Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation Parameter'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseModifiers

          public T caseModifiers​(Modifiers object)

      Returns the result of interpreting the object as an instance of 'Modifiers'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Modifiers'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseExpression

          public T caseExpression​(Expression object)

      Returns the result of interpreting the object as an instance of 'Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseVariable

          public T caseVariable​(Variable object)

      Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseVariableReference

          public T caseVariableReference​(VariableReference object)

      Returns the result of interpreting the object as an instance of 'Variable Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Reference'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseType

          public T caseType​(Type object)

      Returns the result of interpreting the object as an instance of 'Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Type'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEntityType

          public T caseEntityType​(EntityType object)

      Returns the result of interpreting the object as an instance of 'Entity Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Entity Type'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePatternBody

          public T casePatternBody​(PatternBody object)

      Returns the result of interpreting the object as an instance of 'Pattern Body'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Body'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseConstraint

          public T caseConstraint​(Constraint object)

      Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePatternCall

          public T casePatternCall​(PatternCall object)

      Returns the result of interpreting the object as an instance of 'Pattern Call'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Call'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseValueReference

          public T caseValueReference​(ValueReference object)

      Returns the result of interpreting the object as an instance of 'Value Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value Reference'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseLiteralValueReference

          public T caseLiteralValueReference​(LiteralValueReference object)

      Returns the result of interpreting the object as an instance of 'Literal Value Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Literal Value Reference'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseComputationValue

          public T caseComputationValue​(ComputationValue object)

      Returns the result of interpreting the object as an instance of 'Computation Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Computation Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseParameterRef

          public T caseParameterRef​(ParameterRef object)

      Returns the result of interpreting the object as an instance of 'Parameter Ref'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter Ref'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseParameter

          public T caseParameter​(Parameter object)

      Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseLocalVariable

          public T caseLocalVariable​(LocalVariable object)

      Returns the result of interpreting the object as an instance of 'Local Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Local Variable'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseJavaType

          public T caseJavaType​(JavaType object)

      Returns the result of interpreting the object as an instance of 'Java Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Java Type'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseRelationType

          public T caseRelationType​(RelationType object)

      Returns the result of interpreting the object as an instance of 'Relation Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Relation Type'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTypeCheckConstraint

          public T caseTypeCheckConstraint​(TypeCheckConstraint object)

      Returns the result of interpreting the object as an instance of 'Type Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Type Check Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePatternCompositionConstraint

          public T casePatternCompositionConstraint​(PatternCompositionConstraint object)

      Returns the result of interpreting the object as an instance of 'Pattern Composition Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Composition Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseCompareConstraint

          public T caseCompareConstraint​(CompareConstraint object)

      Returns the result of interpreting the object as an instance of 'Compare Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Compare Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseCheckConstraint

          public T caseCheckConstraint​(CheckConstraint object)

      Returns the result of interpreting the object as an instance of 'Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Check Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### casePathExpressionConstraint

          public T casePathExpressionConstraint​(PathExpressionConstraint object)

      Returns the result of interpreting the object as an instance of 'Path Expression Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Path Expression Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseStringValue

          public T caseStringValue​(StringValue object)

      Returns the result of interpreting the object as an instance of 'String Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseNumberValue

          public T caseNumberValue​(NumberValue object)

      Returns the result of interpreting the object as an instance of 'Number Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Number Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseBoolValue

          public T caseBoolValue​(BoolValue object)

      Returns the result of interpreting the object as an instance of 'Bool Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Bool Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseListValue

          public T caseListValue​(ListValue object)

      Returns the result of interpreting the object as an instance of 'List Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'List Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseFunctionEvaluationValue

          public T caseFunctionEvaluationValue​(FunctionEvaluationValue object)

      Returns the result of interpreting the object as an instance of 'Function Evaluation Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Function Evaluation Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAggregatedValue

          public T caseAggregatedValue​(AggregatedValue object)

      Returns the result of interpreting the object as an instance of 'Aggregated Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Aggregated Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseCallableRelation

          public T caseCallableRelation​(CallableRelation object)

      Returns the result of interpreting the object as an instance of 'Callable Relation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Callable Relation'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseUnaryTypeConstraint

          public T caseUnaryTypeConstraint​(UnaryTypeConstraint object)

      Returns the result of interpreting the object as an instance of 'Unary Type Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Unary Type Constraint'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseJavaConstantValue

          public T caseJavaConstantValue​(JavaConstantValue object)

      Returns the result of interpreting the object as an instance of 'Java Constant Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Java Constant Value'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseXImportSection

          public T caseXImportSection​(org.eclipse.xtext.xtype.XImportSection object)

      Returns the result of interpreting the object as an instance of 'XImport Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'XImport Section'.
      Since:
        2.7
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### defaultCase

          public T defaultCase​(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated: